gr::dab::estimate_sample_rate_bf Class Reference

<+description of block+> More...

`#include <estimate_sample_rate_bf.h>`

Inheritance diagram for gr::dab::estimate_sample_rate_bf:
[legend]

## Public Types

typedef std::shared_ptr< estimate_sample_rate_bf > | sptr

## Static Public Member Functions

static sptr | make (float expected_sample_rate, int frame_length)
| Return a shared_ptr to a new instance of dab::estimate_sample_rate_bf.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<estimate_sample_rate_bf> gr::dab::estimate_sample_rate_bf::sptr

## Member Function Documentation

## make()

sptr gr::dab::estimate_sample_rate_bf::make | ( | float | expected_sample_rate,
|  | int | frame_length )

static

Return a shared_ptr to a new instance of dab::estimate_sample_rate_bf.

To avoid accidental use of raw pointers, dab::estimate_sample_rate_bf's constructor is in a private implementation class. dab::estimate_sample_rate_bf::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- estimate_sample_rate_bf.h